#include <gtk/gtk.h>
#include "widgets.h"

typedef struct {
	gushort page;
	GtkWidget *frame, *scroller;
	GtkWidget *text;
	gchar *filename;
} filePage;


int openFile(filePage *fp, gchar *filename);
filePage *newFilePage( gchar *filename);
void fpDestroy ( GtkWidget *w, gpointer data );
void cb_closePage ( GtkWidget *w, gpointer data );
void insertFilePage( filePage *fp );
void cb_fsOpen_ok(GtkWidget *w, gpointer data);
void cb_fsOpen_cancel(GtkWidget *w, gpointer data);
void cb_Open( GtkWidget *w, gpointer data);
void cb_Exit( GtkWidget *w, gpointer data);
void cb_scrollEntry ( GtkWidget *w, gpointer data );
void cb_fsBrowse_ok(GtkWidget *w, gpointer data);
void cb_fsBrowse_cancel(GtkWidget *w, gpointer data);
void cb_dirToggle ( GtkWidget *w, gpointer data );
void cb_Browse( GtkWidget *w, gpointer data);
void cb_Recursive( GtkWidget *w, gpointer data);
void cb_Replace( GtkWidget *w, gpointer data);
void delWindow ( GtkWidget *w, GtkWidget *window );
void msgBox ( gchar *title, gchar *msg, gchar *buttonLabel );
void cb_Go( GtkWidget *w, gpointer data);
void cb_Stop( GtkWidget *w, gpointer data);
void cb_Refresh( GtkWidget *w, gpointer data);
void cb_NewS( GtkWidget *w, gpointer data);
void cb_switchpage( GtkWidget *n, gpointer data);
void cb_Mail( GtkWidget *w, gpointer data);
void cb_Link( GtkWidget *w, gpointer data);
void cb_Arrow( GtkWidget *w, gpointer data);
