/*
 * turma 0.1
 * text utils with recursive mumbo/jumbo operations
 * (in fact, search and eventually replace text, even multiple lines,
 * in files matching a pattern, from a directory and its subdirs)
 * Produced and distributed under GPL by
 * Violence by Design, 2001.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

int
main (int argc, char *argv[])
{
  GtkWidget *top;

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  top = create_top ();
  gtk_widget_show (top);

  gtk_main ();
  return 0;
}

